智能体详情
获取指定智能体或模板的完整配置,含 LLM/ASR/TTS 关联信息、outputFilterRegex、ttsVoice 对象及 chatState 对话记忆。模板与实例均可查询。
获取指定智能体或模板的完整配置,含 LLM/ASR/TTS 关联信息、outputFilterRegex、ttsVoice 对象及 chatState 对话记忆。模板与实例均可查询。
POST /openapi/v1/agents/get
请求参数
参数
类型
请求示例
{ "agentId": 10 }响应示例
{
"code": 0,
"msg": "ok",
"data": {
"id": 10,
"agentId": 10,
"name": "默认助手模板",
"description": "通用对话模板",
"headImg": "https://...",
"persona": "你是一个友好的助手...",
"dynamicPrompt": "",
"extra": "{}",
"isTemplate": true,
"templateId": 0,
"status": 1,
"llmConfigId": 1,
"asrConfigId": 2,
"llmConfigName": "阿里百炼-qwen",
"asrConfigName": "阿里百炼-asr",
"ttsVoiceId": "voice_001",
"ttsVoiceLabel": "温柔女声",
"ttsVoice": {
"voice_id": "voice_001",
"label": "温柔女声",
"provider": "minimax"
},
"skillIds": [1, 2],
"persistentSkillIds": [1],
"quickReplyIds": [],
"temperature": 0.3,
"speed": 1.0,
"vol": 1.0,
"pitch": 0,
"outputFilterRegex": "\\*[^*]+\\*",
"asrLanguage": "zh-CN",
"chatState": {
"messages": [
{ "role": "user", "content": "你好" },
{ "role": "assistant", "content": "你好,有什么可以帮你的?" }
],
"total_turns": 1,
"recent_skills": [],
"last_active": "2024-01-01T08:00:00+08:00"
},
"deviceCount": 0,
"createdAt": "2024-01-01 08:00:00+08",
"updatedAt": "2024-01-01 08:00:00+08"
}
}